Package org.eclipse.birt.chart.model.data.impl

# Class QueryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.data.impl.QueryImpl

All Implemented Interfaces:
  `Query`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class QueryImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Query
An implementation of the model object ' Query'.

The following features are implemented:

- `Definition`
- `Rules`
- `Grouping`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetGrouping(SeriesGrouping newGrouping, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Query`
`copyInstance()`
`static final Query`
`create(String sDefinition)`
A convenience method provided to create a new initialized query instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`String`
`getDefinition()`
`ScriptExpression`
`getDefinitionExpression()`
`SeriesGrouping`
`getGrouping()`
`org.eclipse.emf.common.util.EList<Rule>`
`getRules()`
`final boolean`
`isDefined()`
`void`
`setDefinition(String newDefinition)`
`void`
`setDefinitionExpression(ScriptExpression expression)`
`void`
`setGrouping(SeriesGrouping newGrouping)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getDefinition

public String getDefinition()

Specified by:
  `getDefinition` in interface `Query`
Returns:
  the value of the 'Definition' attribute.
See Also:
  - `Query.setDefinition(String)`
  - `DataPackage.getQuery_Definition()`

### setDefinition

public void setDefinition(String newDefinition)

Specified by:
  `setDefinition` in interface `Query`
Parameters:
  `newDefinition` - the new value of the 'Definition' attribute.
See Also:
  - `Query.getDefinition()`

### getRules

public org.eclipse.emf.common.util.EList<Rule> getRules()

Specified by:
  `getRules` in interface `Query`
Returns:
  the value of the 'Rules' containment reference list.
See Also:
  - `DataPackage.getQuery_Rules()`

### getGrouping

public SeriesGrouping getGrouping()

Specified by:
  `getGrouping` in interface `Query`
Returns:
  the value of the 'Grouping' containment reference.
See Also:
  - `Query.setGrouping(SeriesGrouping)`
  - `DataPackage.getQuery_Grouping()`

### basicSetGrouping

public org.eclipse.emf.common.notify.NotificationChain basicSetGrouping(SeriesGrouping newGrouping, org.eclipse.emf.common.notify.NotificationChain msgs)

### setGrouping

public void setGrouping(SeriesGrouping newGrouping)

Specified by:
  `setGrouping` in interface `Query`
Parameters:
  `newGrouping` - the new value of the 'Grouping' containment reference.
See Also:
  - `Query.getGrouping()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Query create(String sDefinition)
A convenience method provided to create a new initialized query instance

Parameters:
  `sDefinition` -
Returns:

### isDefined

public final boolean isDefined()

Specified by:
  `isDefined` in interface `Query`
Returns:

### copyInstance

public Query copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Query`

### getDefinitionExpression

public ScriptExpression getDefinitionExpression()

Specified by:
  `getDefinitionExpression` in interface `Query`

### setDefinitionExpression

public void setDefinitionExpression(ScriptExpression expression)

Specified by:
  `setDefinitionExpression` in interface `Query`